package com.liquidnet.service.kylin.dao.report;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PerformanceAgeDataDto
 * @Package com.liquidnet.service.kylin.dao.report
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/23 10:58
 */
@Data
public class PerformanceAgeDataDto implements Serializable {
    private String performanceId;
    private String age;
    private long totalNumber;

    private static final PerformanceAgeDataDto obj = new PerformanceAgeDataDto();

    public static PerformanceAgeDataDto getNew() {
        try {
            return (PerformanceAgeDataDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PerformanceAgeDataDto();
        }
    }
}
